# CUpti_EventGroupSet Struct Reference
[CUPTI Event API]

A set of event groups. More...

## Data Fields
CUpti_EventGroup * | eventGroups
uint32_t | numEventGroups

## Detailed Description

A set of event groups. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a set indicates that event groups that can be enabled at the same time (i.e. all the events in the set can be collected simultaneously).

## Field Documentation

CUpti_EventGroup* CUpti_EventGroupSet::eventGroups

An array of `numEventGroups` event groups.

uint32_t CUpti_EventGroupSet::numEventGroups

The number of event groups in the set.